Bug 969534 - module-combine is deprecated: Please use module-combine-sink
module-combine is deprecated: Please use module-combine-sink
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: paprefs (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 14:03 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2014-03-15 11:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: paprefs-0.9.10-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-15 11:20:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-05-31 14:03:06 EDT
Description of problem:
Using paprefs to add a combined sink works great (simple but incredible useful!), but result in this harmless warning:

D: [pulseaudio] module-gconf.c: Loading module 'module-combine' with args '' due to GConf configuration.
W: [pulseaudio] module.c: module-combine is deprecated: Please use module-combine-sink instead of module-combine!
W: [pulseaudio] module-combine.c: We will now load module-combine-sink. Please make sure to remove module-combine from your configuration.

Version-Release number of selected component (if applicable):
pulseaudio-3.0-7.fc19.x86_64
paprefs-0.9.10-4.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. check "simultaneous output" in paprefs
2. restart pulseaudio -vv
Comment 1 T-Gergely 2014-02-20 19:32:53 EST
Same goes for FC20 (paprefs-0.9.10-5.fc20.x86_64).

Here's a workaround: http://askubuntu.com/questions/165777/how-do-i-get-rid-of-this-module-combine-error-in-pulse-audio

"You can change the module loaded by the paprefs setting by using 'gconf-editor' and changing 'system/pulseaudio/modules/combine', the 'name0' key should have 'module-combine-sink' value instead of just 'module-combine'."
Comment 2 Fedora Update System 2014-03-01 07:16:57 EST
paprefs-0.9.10-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/paprefs-0.9.10-5.fc19
Comment 3 Fedora Update System 2014-03-01 07:18:46 EST
paprefs-0.9.10-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/paprefs-0.9.10-6.fc20
Comment 4 Fedora Update System 2014-03-01 22:41:30 EST
Package paprefs-0.9.10-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing paprefs-0.9.10-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3316/paprefs-0.9.10-6.fc20
then log in and leave karma (feedback).
Comment 5 T-Gergely 2014-03-03 11:54:27 EST
ACK
I've checked with gconf-editor: paprefs.x86_64 0:0.9.10-6.fc20 fixes this problem.
Karma added.
Comment 6 Fedora Update System 2014-03-15 11:20:36 EDT
paprefs-0.9.10-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-03-15 11:26:33 EDT
paprefs-0.9.10-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.